### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
ZeroSpreadedTermStructure Class Reference
Term structures

Term structure with an added spread on the zero yield rate. More...

`#include <ql/termstructures/yield/zerospreadedtermstructure.hpp>`

Inheritance diagram for ZeroSpreadedTermStructure:
[legend]

List of all members.

## Public Member Functions

| ZeroSpreadedTermStructure (const Handle< YieldTermStructure > &, const Handle< Quote > &spread, Compounding comp=Continuous, Frequency freq=NoFrequency, const DayCounter &dc=DayCounter())
YieldTermStructure interface
DayCounter | dayCounter () const
| the day counter used for date/time conversion
Calendar | calendar () const
| the calendar used for reference and/or option date calculation
Natural | settlementDays () const
| the settlementDays used for reference date calculation
const Date & | referenceDate () const
| the date at which discount = 1.0 and/or variance = 0.0
Date | maxDate () const
| the latest date for which the curve can return values
Time | maxTime () const
| the latest time for which the curve can return values

## Protected Member Functions

Rate | zeroYieldImpl (Time) const
| returns the spreaded zero yield rate
Rate | forwardImpl (Time) const
| returns the spreaded forward rate

## Detailed Description

Term structure with an added spread on the zero yield rate.

Note:
  This term structure will remain linked to the original structure, i.e., any changes in the latter will be reflected in this structure as well.

Tests:
  - the correctness of the returned values is tested by checking them against numerical calculations.
  - observability against changes in the underlying term structure and in the added spread is checked.